<!DOCTYPE html>
<html>

	<head>
		<meta charset="UTF-8">
		<title>sage</title>
	</head>

	<body>
		<div class="common_content_nav">您所在位置 > <a href="#">会员管理</a></div>
		<div class="common_content_title">会员管理</div>
		<div class="seach_form_box box_shadow border5 clearfix">
			<div class="seach_form">
				<form id="memberSearchForm" action="" method="post">
					<ul class="clearfix">
						<li>
							<div>
								<span>会员编号:</span>
								 <input class="form-control" type="text" name="equalMemberCode"></input> 
<!-- 								<input id="equalMemberCode"  class="form-control" type="text" data-options="required:true,length:'10',validType:'number'" name="equalMemberCode"></input> -->
							</div>
						</li>
						<li>
							<div>
								<span>会员卡号:</span>
								 <input class="form-control" type="text" name="equalCardNo"></input> 
<!-- 								<input id="equalMemberCode"  class="form-control" type="text" data-options="required:true,length:'10',validType:'number'" name="equalMemberCode"></input> -->
							</div>
						</li>
						<li>
							<div>
								<span>姓名:</span>
								<input class="form-control" type="text" name="likeMemberName"></input>
							</div>
						</li>
						
						<li>
							<div>
								<span>手机:</span>
								<input class="form-control" type="text" name="equalMobile"></input>
							</div>
						</li>
						<!-- <li>
							<div>
								<span>区域/门店:</span>
								<input type="hidden" name="equalOrgId" value="" />
								<div id="equalOrgId" style="display:inline-block;">
									 <input class="form-control" type="text" value="" name="equalOrgName" style="cursor:default;"></input>
									 <i class="input_icon input_add"></i>
								</div>
							</div>
						</li> -->
						<li>
							<div>
								<span>注册渠道</span>
 					
								<input type="hidden" name="equalChannelId" id="" value="" />
								<input size="16" type="text" class="form-control" value="" input-type="select" readonly>
								<ul class="dropdown-menu" data="$.Member_Channel">
									<li data-id="" ><a href="javascript:;" style="color:#cdcdcd;">-请选择-</a></li>
								</ul>
								<i class="input_icon input_down"></i>
							</div>
						</li>
						
						<li>
							<div>
								<span>积分</span>
								<input class="form-control" data-options="validType:'number'" onkeydown="onlyNum();" type="text" name="greaterEqualPointsBalance"></input>
								<!-- 
								<input id="startTime" size="16" type="text" class="form-control form_datetime" value="" readonly>
								<i class="input_icon input_date"></i>
								 -->
							</div>
						</li>
						<li>
							<div>
								<span>至</span>
								<input class="form-control" data-options="validType:'number'"  type="text" name="lessEqualPointsBalance"></input>
							</div>
						</li>
						<li>
							<div>
								<span>是否员工</span>
								<input type="hidden" name="equalIsEmployee" id="" value="" />
								<input size="16" type="text" class="form-control" value="" input-type="select" readonly>
								<ul class="dropdown-menu" >
									<li data-id="" ><a href="javascript:;" style="color:#cdcdcd;">-请选择-</a></li>
									<li data-id="Y" ><a href="javascript:;">是</a></li>
									<li data-id="N" ><a href="javascript:;">否</a></li>
								</ul>
								<i class="input_icon input_down"></i>
							</div>
							</li>
					</ul>
					<ul class="clearfix ul_more">
						<li>
							<div>
								<span>生日</span>
								<input id="" name="greaterEqualBirthday" size="16" type="text" class="Wdate date_input" onfocus="WdatePicker({dateFmt:'yyyy-MM-dd',alwaysUseStartDate:true})" value="" readonly>
							</div>
						</li>
						<li>
							<div>
								<span>至</span>
								<input id="" name="lessEqualBirthday" size="16" type="text" class="Wdate date_input" onfocus="WdatePicker({dateFmt:'yyyy-MM-dd',alwaysUseStartDate:true})" value="" readonly>
							</div>
						</li>
						
						<li>
							<div>
								<span>注册日期</span>
								<input id="" name="greaterEqualRegisterTime" size="16" type="text" class="Wdate date_input" onfocus="WdatePicker({dateFmt:'yyyy-MM-dd',alwaysUseStartDate:true})" value="" readonly>
							</div>
						</li>
						<li>
							<div>
								<span>至</span>
								<input id="" name="lessEqualRegisterTime" size="16" type="text" class="Wdate date_input" onfocus="WdatePicker({dateFmt:'yyyy-MM-dd',alwaysUseStartDate:true})" value="" readonly>
							</div>
						</li>
						<li>
							<div>
								<span>性别:</span>
								<input type="hidden" name="equalGender" id="" value="" />
								<input size="16" type="text" class="form-control" value="" input-type="select" >
								<ul class="dropdown-menu" data="$.gender">
									<li data-id="" ><a href="javascript:;" style="color:#cdcdcd;">-请选择-</a></li>
								</ul>
								<i class="input_icon input_down"></i>
							</div>
						</li>
						<!-- <li>
							<div>
								<span>会员状态:</span>
								<input type="hidden" name="equalStatusId" id="" value="" />
								<input size="16" type="text" class="form-control" value="" input-type="select" >
								<ul class="dropdown-menu" data="$.Member_Status">
									<li data-id="" ><a href="javascript:;" style="color:#cdcdcd;">--请选择--</a></li>
								</ul>
								<i class="input_icon input_down"></i>
							</div>
						</li> -->
						<li>
							<div>
								<span>会员等级</span>
								<input type="hidden" name="equalGradeId" id="" value="" />
								<input size="16" type="text" class="form-control" value="" input-type="select" readonly>
								<ul class="dropdown-menu" data="$.Member_Grade">
								<li data-id="" ><a href="javascript:;" style="color:#cdcdcd;">-请选择-</a></li>
								</ul>
								<i class="input_icon input_down"></i>
							</div>
						</li>
						<li>
							<div>
								<span>分组</span>
								<input type="hidden" name="memberGroupIds" id="" value="" />
								<input size="16" type="text" class="form-control" value="" input-type="select" readonly>
								<ul class="dropdown-menu" url-options="url:'/memberGroupController/showMemberGroupListSelect.do',value:'memberGroupId',text:'memberGroupName'" >
									<li data-id="" ><a href="javascript:;" style="color:#cdcdcd;">-请选择-</a></li>
								</ul>
								<i class="input_icon input_down"></i>
							</div>
						</li>
						<li>
							<div>
								<span>标签</span>
								<input type="hidden" name="memberTagIds" id="memberTagIds" value="" />
								<div id="labelChooseBtn" style="display:inline-block;">
									<input size="16" type="text" class="form-control" value="" readonly>
									<i class="input_icon input_add"></i>
								</div>
							</div>
						</li>
					</ul>
					<div class="common_content_scach_more">
						<span class="icon down"></span>
					</div>
					<button id="search_btn" type="button" class="btn common_content_seacch_btn" ></button>
				</form>
			</div>
		</div>
		<div class="common_content_btnList clearfix">
			<button id="memberDetailBtn" type="button" class="btn btn-success btn-block">查看</button>
			<button id="memberAddBtn" type="button" class="btn btn-block">新建</button>
			<button id="memberEditBtn" type="button" class="btn btn-block">编辑</button>
			<button id="bindBCBtn" type="button" class="btn btn-block">绑定黑卡</button>
		</div>
		<div class="common_content_table box_shadow border10">
			<table id="huiyuandingdanTable" class="easyui-datagrid" style="width:100%;height:400px" data-options="method:'post'">
				<thead>
					<tr>
						<th data-options="field:'memberId',checkbox:true">选择</th>
						<th data-options="field:'cardNo',width:120,align:'center',halign:'center'">会员卡号</th>
						<th data-options="field:'memberCode',width:120,align:'center',halign:'center'">会员编号</th>
						<th data-options="field:'memberName',width:100,align:'center',halign:'center'">姓名</th>
						<th data-options="field:'userName',width:100,align:'center',halign:'center'">用户名</th>
						<th data-options="field:'mobile',width:100,align:'center',halign:'center'">手机号</th>
						<th data-options="field:'isEmployee',width:100,align:'center',halign:'center'">是否员工</th>
						<th data-options="field:'mobileCheck',width:60,halign:'center',hidden:true">手机验证</th>
						<th data-options="field:'email',width:150,align:'center',halign:'center'">邮箱</th>
						<th data-options="field:'emailCheck',width:60,align:'center',halign:'center',hidden:true">邮箱验证</th>
						<th data-options="field:'gradeId',width:100,align:'center',halign:'center'
						,formatter : function(value, row, index) {return $.Member_Grade.getText(value);}">会员等级</th>
						<th data-options="field:'pointsBalance',width:80,align:'center',halign:'center',sortable:'true'">积分余额</th>
						<!-- <th data-options="field:'birthday',width:100,align:'center',halign:'center'">生日</th> -->
						<th data-options="field:'gender',width:50,align:'center',halign:'center'
						,formatter : function(value, row, index) {return $.gender.getText(value);}">性别</th>
						<th data-options="field:'channelId',width:80,align:'center',halign:'center'
						,formatter : function(value, row, index) {return $.Member_Channel.getText(value);}">注册渠道</th>
						<th data-options="field:'registerTime',width:150,align:'center',halign:'center',sortable:'true'
						,formatter : function(value, row, index) {return getDateString(value);}">注册时间</th>
						<th data-options="field:'statusId',width:80,align:'center',halign:'center'
						,formatter : function(value, row, index) {return $.Member_Status.getText(value);}">状态</th>
						<th data-options="field:'extField1',width:100,align:'center',halign:'center'
							,formatter : function(value, row, index) {return getDateString(value);}">萌宝生日1</th>
						<th data-options="field:'extField2',width:100,align:'center',halign:'center'
							,formatter : function(value, row, index) {return getDateString(value);}">萌宝生日2</th>
						<th data-options="field:'extField3',width:100,align:'center',halign:'center'">新品试吃</th>
						<th data-options="field:'extField4',width:100,align:'center',halign:'center'">儿童披萨制作派对</th>
						<th data-options="field:'extField5',width:100,align:'center',halign:'center'">交友派对</th>
					</tr>
				</thead>
			</table>
		</div>
		
		<!--  -->
		<div id="labelChoose" class="mask none">
			<div class="detailed labelChoose">
				<button type="button" class="icon detailed_close"></button>
				<div class="labelChoose_title">
					<span>已选标签:</span>
				</div>
				<div class="labelChoose_list clearfix">
					<ul>
					</ul>
				</div>
				<div class="labelChoose_seach">
					<span>查询标签</span>
					<div>
							<input class="form-control" id="likeMemberTagName" value="">
							<a id="queryTag_bt" href="#"><i class="input_icon input_seach"></i></a>
					</div>
				</div>
				<button type="button" id="tagSaveBtn" class="btn btn-success btn-block choose_btn">保存</button>
			</div>
		</div>
		
		<!--区域弹出层-->
			<div id="areaChooseManager" class="mask none">
				<div class="detailed labelChoose" style="margin-top:175px;">
					<div class="contactDetailed_title">选择区域/门店</div>
						<div style="height:200px;line-height:100px;overflow:auto;overflow-x:hidden;">
							<div class="zTreeDemoBackground left">
								<ul id="areaTreeManager" class="ztree"></ul>
							</div>
						</div>
						<div class="contactDetailed_btn">
							<button id="areaSaveBtn" type="button" class="btn btn-success input90">保存</button>
							<button type="button" class="btn input90 detailed_close2">关闭</button>
						</div>
					</div>
			</div>

		<div id="bindCard" class="mask_in clearfix none">
			<form id="bindCardForm"  method="post" enctype="multipart/form-data">
				<div class="detailed contactDetailed">
					<button type="button" class="icon detailed_close"></button>
					<div class="contactDetailed_title">绑定黑卡</div>
					<div class="clearfix">
						<span>卡号</span>
						<input class="form-control" type="text" id="cardNo" name="cardNo" size="16"/>
						<input type="hidden" name="memberId" id="bind_memberId"  value = "" />
					</div>
					<div class="contactDetailed_btn">
						<button id="bindBtn" type="button" class="btn btn-success">绑定</button>
					</div>
				</div>
			</form>
		</div>
		<script type="text/javascript">
			$(function() {
				require(['view/member/memberManage'], function(re) {
					re.init();
				});
				require(['view/member/selectTag'], function(re) {
					//re.init();
				});
				require(['mod/cityInit'], function(re) {
					//re.init();
				});
				require(['view/member/tree'], function(re) {
					//re.init();
				});
			});
		</script>
	</body>

</html>